curl --request PUT \ --url 'https://api.e2enetworks.com/myaccount/api/v1/nodes/{node_id}/scheduled_actions/{action_id}/?project_id=<PROJECT_ID>&apikey=<API_KEY>&location=<LOCATION>' \ --header 'Authorization: Bearer <API_TOKEN>' \ --header 'Content-Type: application/json' \ --data '{ "timezone": "Asia/Calcutta", "action_tag": "pow-off", "action": "poweroff", "scheduled_type": "one_time", "one_time": { "end_type": "on", "start_time": "2025-08-13 12:00:00", "end_time": "2025-08-13 12:00:00" }}'import requests
response = requests.put( "https://api.e2enetworks.com/myaccount/api/v1/nodes/{node_id}/scheduled_actions/{action_id}/", params={"project_id": "<PROJECT_ID>", "apikey": "<API_KEY>", "location": "<LOCATION>"}, headers={"Authorization": "Bearer <API_TOKEN>"}, json={ "timezone": "Asia/Calcutta", "action_tag": "pow-off", "action": "poweroff", "scheduled_type": "one_time", "one_time": { "end_type": "on", "start_time": "2025-08-13 12:00:00", "end_time": "2025-08-13 12:00:00", }, },)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/nodes/{node_id}/scheduled_actions/{action_id}/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", apikey: "<API_KEY>", location: "<LOCATION>" });
const response = await fetch(url, { method: "PUT", headers: { "Authorization": "Bearer <API_TOKEN>", "Content-Type": "application/json" }, body: JSON.stringify({ "timezone": "Asia/Calcutta", "action_tag": "pow-off", "action": "poweroff", "scheduled_type": "one_time", "one_time": { "end_type": "on", "start_time": "2025-08-13 12:00:00", "end_time": "2025-08-13 12:00:00" } }),});console.log(await response.json());Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Path parameter node_id.
Path parameter action_id.
Query Parameters
Section titled “Query Parameters”Identifier of the project to scope the request to. Required integer project ID.
Example
<PROJECT_ID>API key used to authenticate the request
Example
<API_KEY>Location identifier for the schedule update
Example
<LOCATION>Request Body
Section titled “Request Body”object
IANA time zone identifier for the schedule
Example
Asia/CalcuttaIdentifier of the schedule action to update
Example
pow-offSpecifies the action to perform when updating the schedule
Example
poweroffSpecifies the type of schedule being updated
Example
one_timeobject
Specifies how the one-time schedule ends
Example
onThe scheduled start time for the one-time action.
Example
2025-08-13 12:00:00The ending date and time for the one-time schedule.
Example
2025-08-13 12:00:00Responses
Section titled “Responses”Successful response
object
HTTP status code indicating the result of the update schedule action
Integer identifier returned after updating a schedule
object
Message indicating the result of the update schedule action.
Example
{ "code": 200, "data": 12345, "message": "successfully updated scheduled action"}